explain_unsetenv_or_die(3)

NAME
explain_unsetenv_or_die - remove an environment variable and report errors
    "remove an environment variable and report errors"

SYNOPSIS
#include <libexplain/unsetenv.h>

void explain_unsetenv_or_die(const char *name);
int explain_unsetenv_on_error(const char *name);

DESCRIPTION
The explain_unsetenv_or_die function is used to call the unsetenv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_unsetenv(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_unsetenv_on_error function is used to call the unsetenv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_unsetenv(3) function, but still returns to the caller.

name
    The name, exactly as to be passed to the unsetenv(3) system call.

RETURN VALUE
The explain_unsetenv_or_die function only returns on success, see unsetenv(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_unsetenv_on_error function always returns the value return by the wrapped unsetenv(3) system call.

EXAMPLE
The explain_unsetenv_or_die function is intended to be used in a fashion similar to the following example:
    explain_unsetenv_or_die(name);

SEE ALSO

unsetenv(3)
    change or add an environment variable

explain_unsetenv(3)
    explain unsetenv(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller